#include <bits/stdc++.h>
using namespace std;

const int N=1002;
int a[N],n,h;

signed main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    
    cin>>n>>h;
    for(int i=1;i<=n;++i)
    	cin>>a[i];

    for(int i=1;i<=n;++i){
    	if(a[i]<=h){
    		cout<<i;
    		return 0;
    	}
    }

    cout<<-1;
}